Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230897 - Recent kernels remove v4l API- fmio doesn't support v4l2
Summary: Recent kernels remove v4l API- fmio doesn't support v4l2
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-03-04 12:11 UTC by James Derrick
Modified: 2008-02-08 04:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:29:18 UTC


Attachments (Terms of Use)

Description James Derrick 2007-03-04 12:11:02 UTC
Description of problem:
FM Radio tools rely on V4L API which has been removed from recent kernels.
Bug is not really kernel- other tools need updating to keep pace.

Version-Release number of selected component (if applicable):
FC5:
kernel-2.6.19-1.2288.2.1.fc5
fmio-2.0.8-8.0.fc5

FC6:
kernel-2.6.19-1.2911.6.4.fc6
fmio-2.0.8-8.0.fc6

How reproducible:
100%

Steps to Reproduce:
1. Upgrade FC5 to a recent kernel (noticed on 2.6.19, v4l docs suggest >2.6.15)
2. Plug in a USB FM tuner.
3. Kernel supports tuner, creates /dev/radio*
4. Run fmio to control a FM radio tuner via V4L drivers
5. IOCTL error

Actual results:
1. OK
2. OK
3. Kernel creates /dev/radio? correctly and logs in /var/log/messages:
    Mar  4 09:28:27 foobar kernel: drivers/media/radio/dsbr100.c: v0.41:D-Link 
4. IOCTL error from kernel as it only supports V4L2 after original V4L call has
been removed.
    $ fmio -d v4l 92.9
    fmio: VIDIOCGTUNER: Invalid argument
    fmio: card not found: Video4Linux Driver
5. No sound!

Expected results:
V4L2 DSB-R100 USB FM radio driver loads and works.
Radio tunes to station and plays.

Additional info:
Looks like recent kernels have removed the orignal V4L API and now only support
V4L2. This link suggests this happened >2.6.15:
http://linuxtv.org/v4lwiki/index.php/Video4linux_APIs

fmio and serveral other FM radio userspace tuner programs appear to use the V4L
API which has been removed.

For example, the error above looks to me caused by using IOCTL VIDIOCGTUNER from
V4L rather than the new VIDIOC_G_TUNER for V4L2:
http://www.linuxtv.org/downloads/video4linux/API/V4L2_API/spec-single/v4l2.html

gnomeradio-1.6-3.fc5 doesn't work either, although this could be down to the
'mixer source' setting containing garbage.

Comment 1 Jon Stanley 2008-01-08 01:55:57 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 2 Jon Stanley 2008-02-08 04:29:18 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.